#include "gpio.h"
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/stat.h>
#include <fcntl.h>

static int gpio_state;
static char cmd[128];
static char * one = "1";
static char * zero = "0";
static int fd;

void enable_gpio(int gpio_index) {
  sprintf(cmd, "echo %d > /sys/class/gpio/export", gpio_index);
  system(cmd);
  sprintf(cmd, "echo out > /sys/class/gpio/gpio%d/direction", gpio_index);
  system(cmd);

  sprintf(cmd, "/sys/class/gpio/gpio%d/value", gpio_index);
  fd = open(cmd, O_WRONLY);
}

void toggle_gpio() {

  if(gpio_state)
        write(fd, one, 1);
  else
        write(fd, zero, 1);

  gpio_state = !gpio_state;
}
